Bug 1295480 - (CVE-2015-1142857) kernel: net: ethernet flow control vulnerability in SRIOV devices
kernel: net: ethernet flow control vulnerability in SRIOV devices
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151203,reported=2...
: Security
Depends On: 1295482
Blocks: 1288501
  Show dependency treegraph
 
Reported: 2016-01-04 11:04 EST by Vladis Dronov
Modified: 2018-02-13 14:53 EST (History)
51 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 10:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oss-sec.CVE.request-Ethernet.flow.control.vulnerability.in.SRIOV.devices.html (12.97 KB, text/html)
2016-07-07 10:30 EDT, Vladis Dronov
no flags Details

  None (edit)
Description Vladis Dronov 2016-01-04 11:04:09 EST
A design flaw found in the current Ethernet SRIOV NIC deployments that enables untrusted malicious virtual machines to completely control the network throughput and the latency of other unrelated VMs. The attack exploits Ethernet "pause" control frames, which enable network flow  control functionality.

Initial disclosure:

http://seclists.org/oss-sec/2015/q4/425
Comment 1 Vladis Dronov 2016-01-04 11:17:31 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1295482]
Comment 3 Vladis Dronov 2016-07-07 10:30 EDT
Created attachment 1177348 [details]
oss-sec.CVE.request-Ethernet.flow.control.vulnerability.in.SRIOV.devices.html
Comment 4 Vladis Dronov 2016-07-07 10:40:51 EDT
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.
Comment 5 Marcus Meissner 2018-01-24 02:28:05 EST
is this cve for real ? it does not look in scope
Comment 6 Adam Mariš 2018-01-24 04:37:50 EST
(In reply to Marcus Meissner from comment #5)
> is this cve for real ? it does not look in scope

Yes, it's in DWF scope.

Note You need to log in before you can comment on or make changes to this bug.